> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Publish Flow

> Interface description: Create a multi-platform publishing flow, and one request can generate multiple single-platform tasks.

Before calling this interface, please make sure you understand the complete publishing process and click [Learn the complete publishing process](/en/use/publish-flow).

Tip: Except for X/Twitter (Twitter) publishing, publishing on other platforms is currently free; for X/Twitter publishing billing, please [click to view](https://aitoearn.ai/pricing#pricing-table-social-publishing).



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/flows
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/publish/flows:
    post:
      tags:
        - Channel Management/Publishing
      summary: Create Publish Flow
      description: >-
        Interface description: Create a multi-platform publishing flow, and one
        request can generate multiple single-platform tasks.


        Before calling this interface, please make sure you understand the
        complete publishing process and click [Learn the complete publishing
        process](/en/use/publish-flow).


        Tip: Except for X/Twitter (Twitter) publishing, publishing on other
        platforms is currently free; for X/Twitter publishing billing, please
        [click to
        view](https://aitoearn.ai/pricing#pricing-table-social-publishing).
      operationId: PublishFlowController_createFlow_v2
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                flowId:
                  description: External flow ID
                  type: string
                content:
                  type: object
                  properties:
                    title:
                      description: title
                      type: string
                    body:
                      description: text
                      type: string
                    media:
                      default: []
                      description: Main media list
                      type: array
                      items:
                        type: object
                        properties:
                          url:
                            type: string
                            format: uri
                            description: Media URL
                          options:
                            description: Media handling options
                            type: object
                            properties:
                              adaptation:
                                description: Media format conversion options
                                type: object
                                properties:
                                  imageFormat:
                                    description: Image and cover format conversion targets
                                    type: string
                                    enum:
                                      - 'off'
                                      - auto
                                      - jpeg
                                      - png
                                      - webp
                        required:
                          - url
                    cover:
                      description: cover
                      type: object
                      properties:
                        url:
                          type: string
                          format: uri
                          description: Cover URL
                        options:
                          description: Media handling options
                          type: object
                          properties:
                            adaptation:
                              description: Media format conversion options
                              type: object
                              properties:
                                imageFormat:
                                  description: Image and cover format conversion targets
                                  type: string
                                  enum:
                                    - 'off'
                                    - auto
                                    - jpeg
                                    - png
                                    - webp
                      required:
                        - url
                  description: Share content across platforms
                publishAt:
                  description: Target release time
                  type: string
                  format: date-time
                context:
                  description: External business relationships
                  type: object
                  properties:
                    materialGroupId:
                      description: Material group ID
                      type: string
                    materialId:
                      description: Material ID
                      type: string
                items:
                  minItems: 1
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - bilibili
                          option:
                            anyOf:
                              - type: object
                                properties:
                                  tid:
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    description: Partition ID
                                    minimum: 0
                                  no_reprint:
                                    description: >-
                                      Whether to allow reprinting 0-allowed,
                                      1-not allowed
                                    type: number
                                    enum:
                                      - 0
                                      - 1
                                  topic_id:
                                    description: Topic ID
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    minimum: 0
                                  mission_id:
                                    description: Submission activity ID
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    minimum: 0
                                  copyright:
                                    default: 1
                                    description: 1-original, 2-reprinted
                                    type: number
                                    enum:
                                      - 1
                                  source:
                                    description: Reprint source
                                    type: string
                                required:
                                  - tid
                              - type: object
                                properties:
                                  tid:
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    description: Partition ID
                                    minimum: 0
                                  no_reprint:
                                    description: >-
                                      Whether to allow reprinting 0-allowed,
                                      1-not allowed
                                    type: number
                                    enum:
                                      - 0
                                      - 1
                                  topic_id:
                                    description: Topic ID
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    minimum: 0
                                  mission_id:
                                    description: Submission activity ID
                                    type: integer
                                    exclusiveMinimum: true
                                    maximum: 9007199254740991
                                    minimum: 0
                                  copyright:
                                    type: number
                                    description: 1-original, 2-reprinted
                                    enum:
                                      - 2
                                  source:
                                    type: string
                                    minLength: 1
                                    description: Reprint source
                                required:
                                  - tid
                                  - copyright
                                  - source
                            description: Bilibili publishing options
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - option
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - youtube
                          option:
                            description: YouTube publishing options
                            type: object
                            properties:
                              privacyStatus:
                                default: public
                                description: privacy status
                                type: string
                                enum:
                                  - public
                                  - unlisted
                                  - private
                              categoryId:
                                description: Category ID
                                type: string
                              publishAt:
                                description: >-
                                  Scheduled release time must match private
                                  privacy status
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              license:
                                description: license
                                type: string
                                enum:
                                  - creativeCommon
                                  - youtube
                              embeddable:
                                default: true
                                description: Is it embeddable?
                                type: boolean
                              notifySubscribers:
                                default: false
                                description: Whether to notify subscribers
                                type: boolean
                              selfDeclaredMadeForKids:
                                default: false
                                description: Do you think it is suitable for children?
                                type: boolean
                              madeForKids:
                                description: YouTube moderated children's content flagging
                                type: boolean
                              containsSyntheticMedia:
                                description: Contains synthetic media content
                                type: boolean
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - wxGzh
                          option:
                            description: WeChat public account publishing options
                            type: object
                            properties:
                              author:
                                description: Author of pictures and texts
                                type: string
                                maxLength: 8
                              digest:
                                description: Graphic abstract
                                type: string
                                maxLength: 120
                              open_comment:
                                description: Whether to enable comments
                                type: number
                                enum:
                                  - 0
                                  - 1
                              only_fans_can_comment:
                                description: Whether only fans can comment
                                type: number
                                enum:
                                  - 0
                                  - 1
                              showCoverPic:
                                description: Whether to display the cover
                                type: boolean
                              sourceUrl:
                                description: Original link
                                type: string
                                format: uri
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - facebook
                          option:
                            description: Facebook publishing options
                            type: object
                            properties:
                              content_category:
                                description: Content classification
                                type: string
                                enum:
                                  - post
                                  - reel
                                  - story
                              link:
                                description: Feed link
                                type: string
                                format: uri
                              content_tags:
                                description: content tags
                                type: array
                                items:
                                  type: string
                              custom_labels:
                                description: Custom labels
                                type: array
                                items:
                                  type: string
                              direct_share_status:
                                description: Share status directly
                                type: number
                              embeddable:
                                description: Is it embeddable?
                                type: boolean
                              feed_targeting:
                                description: Feed targeting
                                type: object
                                additionalProperties: true
                                properties: {}
                              video_state:
                                description: Reels/video publishing status
                                type: string
                                enum:
                                  - DRAFT
                                  - SCHEDULED
                                  - PUBLISHED
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - instagram
                          option:
                            description: Instagram posting options
                            type: object
                            properties:
                              alt_text:
                                description: alt text
                                type: string
                                maxLength: 1000
                              caption:
                                description: title
                                type: string
                                maxLength: 2200
                              collaborators:
                                description: collaborator
                                maxItems: 3
                                type: array
                                items:
                                  type: string
                              cover_url:
                                description: Cover URL
                                type: string
                              image_url:
                                description: Image URL
                                type: string
                              location_id:
                                description: Location ID
                                type: string
                              media_type:
                                description: media type
                                type: string
                                enum:
                                  - IMAGE
                                  - REELS
                                  - STORIES
                                  - CAROUSEL
                              product_tags:
                                description: Product tag
                                type: array
                                items:
                                  type: object
                                  properties:
                                    product_id:
                                      type: string
                                      description: Product ID
                                    x:
                                      type: number
                                      description: Label horizontal position
                                    'y':
                                      type: number
                                      description: Label vertical position
                                  required:
                                    - product_id
                                    - x
                                    - 'y'
                              user_tags:
                                description: User tag
                                type: array
                                items:
                                  type: object
                                  properties:
                                    username:
                                      type: string
                                      description: Username
                                    x:
                                      type: number
                                      description: Label horizontal position
                                    'y':
                                      type: number
                                      description: Label vertical position
                                  required:
                                    - username
                                    - x
                                    - 'y'
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - threads
                          option:
                            description: Threads publishing options
                            type: object
                            properties:
                              reply_control:
                                description: Reply control
                                type: string
                                enum:
                                  - everyone
                                  - accounts_you_follow
                                  - mentioned_only
                                  - parent_post_author_only
                                  - followers_only
                              location_id:
                                description: Location ID
                                type: string
                                minLength: 1
                              allowlisted_country_codes:
                                description: Allowed country codes
                                type: array
                                items:
                                  type: string
                              alt_text:
                                description: alt text
                                type: string
                                maxLength: 1000
                              auto_publish_text:
                                description: Whether to automatically post text
                                type: boolean
                              link_attachment:
                                description: Link attachment URL
                                type: string
                                format: uri
                              reply_to_id:
                                description: Threads post ID of reply
                                type: string
                              quote_post_id:
                                description: Referenced Threads post ID
                                type: string
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - pinterest
                          option:
                            type: object
                            properties:
                              boardId:
                                type: string
                                minLength: 1
                                description: Artboard ID
                              link:
                                description: Pin jump link
                                type: string
                                format: uri
                              altText:
                                description: alt text
                                type: string
                                maxLength: 500
                              coverImageUrl:
                                description: Video Pin Cover URL
                                type: string
                                format: uri
                            required:
                              - boardId
                            description: Pinterest publishing options
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - option
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - tiktok
                          option:
                            description: TikTok publishing options
                            type: object
                            properties:
                              privacy_level:
                                description: >-
                                  Privacy level, must be within the optional
                                  value returned by creator_info
                                type: string
                                enum:
                                  - PUBLIC_TO_EVERYONE
                                  - MUTUAL_FOLLOW_FRIENDS
                                  - SELF_ONLY
                                  - FOLLOWER_OF_CREATOR
                              disable_duet:
                                description: Whether to disable co-shooting
                                type: boolean
                              disable_stitch:
                                description: Whether to disable splicing
                                type: boolean
                              disable_comment:
                                description: Whether to disable comments
                                type: boolean
                              brand_organic_toggle:
                                description: Branded organic content
                                type: boolean
                              brand_content_toggle:
                                description: brand content
                                type: boolean
                              auto_add_music:
                                description: Automatic soundtrack for graphic publishing
                                type: boolean
                              photo_cover_index:
                                description: Picture and text cover image subscript
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              source:
                                description: >-
                                  Video upload source, FILE_UPLOAD is uploaded
                                  by the backend, PULL_FROM_URL is pulled by
                                  TikTok to verify the URL
                                type: string
                                enum:
                                  - FILE_UPLOAD
                                  - PULL_FROM_URL
                              is_aigc:
                                description: >-
                                  Does the video post state that it is
                                  AI-generated content?
                                type: boolean
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - douyin
                          option:
                            description: TikTok publishing options
                            type: object
                            properties:
                              short_title:
                                description: short title
                                type: string
                                maxLength: 12
                              cover_tsp:
                                description: Cover timestamp in milliseconds
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              download_type:
                                description: Download type 1-allowed, 2-not allowed
                                type: number
                                enum:
                                  - 1
                                  - 2
                              private_status:
                                description: private status
                                type: number
                                enum:
                                  - 0
                                  - 1
                                  - 2
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - twitter
                          option:
                            description: Twitter/X publishing options
                            type: object
                            properties:
                              reply_to_tweet_id:
                                description: Reply Tweet ID
                                type: string
                              reply_settings:
                                description: Reply settings
                                type: string
                                enum:
                                  - following
                                  - mentionedUsers
                                  - subscribers
                                  - verified
                              poll:
                                description: vote
                                type: object
                                properties:
                                  options:
                                    minItems: 2
                                    maxItems: 4
                                    type: array
                                    items:
                                      type: string
                                      minLength: 1
                                      maxLength: 25
                                    description: voting options
                                  duration_minutes:
                                    type: integer
                                    minimum: 5
                                    maximum: 10080
                                    description: Voting duration minutes
                                required:
                                  - options
                                  - duration_minutes
                              quote_tweet_id:
                                description: Quote Tweet ID
                                type: string
                              made_with_ai:
                                description: Whether to generate content for AI
                                type: boolean
                              paid_partnership:
                                description: Is it a paid cooperation?
                                type: boolean
                              alt_text:
                                description: media alt text
                                type: string
                                maxLength: 1000
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - KWAI
                          option:
                            description: Kuaishou publishing options
                            type: object
                            properties:
                              cover:
                                description: Cover URL
                                type: string
                              stereo_type:
                                description: Video type
                                type: string
                              merchant_product_id:
                                description: Mount product ID
                                type: string
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - linkedin
                          option:
                            description: LinkedIn publishing options
                            type: object
                            properties:
                              visibility:
                                default: PUBLIC
                                description: visibility
                                type: string
                                enum:
                                  - CONNECTIONS
                                  - PUBLIC
                              authorUrn:
                                description: Posting subject URN, only supports person
                                type: string
                                pattern: ^urn:li:person:[^/?#]+$
                              distribution:
                                default: MAIN_FEED
                                description: Distribution channel
                                type: string
                                enum:
                                  - MAIN_FEED
                                  - NONE
                              commentary:
                                description: Cover text
                                type: string
                                maxLength: 3000
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - xhs
                          option:
                            type: object
                            properties:
                              workLink:
                                type: string
                                minLength: 1
                                description: Links to completed Xiaohongshu works
                            required:
                              - workLink
                            description: Xiaohongshu publishing options
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - option
                          - accountId
                      - type: object
                        properties:
                          platform:
                            type: string
                            description: platform
                            enum:
                              - wxSph
                          option:
                            description: WeChat video account publishing options
                            type: object
                            properties:
                              workId:
                                description: The item anchor ID returned by the plugin
                                type: string
                              workLink:
                                description: The link to the work returned by the plug-in
                                type: string
                              linkStatus:
                                description: Work link status
                                type: string
                                enum:
                                  - pending
                                  - ready
                                  - failed
                              linkMeta:
                                description: Work link extension information
                                type: object
                                properties:
                                  mediaMd5sum:
                                    description: Video Account Media MD5
                                    type: string
                                  videoClipTaskId:
                                    description: Video number editing task ID
                                    type: string
                                  scheduledTime:
                                    description: Video number regularly releases timestamp
                                    type: number
                          accountId:
                            type: string
                            description: Account ID
                          overrides:
                            description: Platform coverage
                            type: object
                            properties:
                              title:
                                description: title override
                                type: string
                              body:
                                description: Text coverage
                                type: string
                              media:
                                description: Main media list coverage
                                type: array
                                items:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      format: uri
                                      description: Media URL
                                    options:
                                      description: Media handling options
                                      type: object
                                      properties:
                                        adaptation:
                                          description: Media format conversion options
                                          type: object
                                          properties:
                                            imageFormat:
                                              description: >-
                                                Image and cover format conversion
                                                targets
                                              type: string
                                              enum:
                                                - 'off'
                                                - auto
                                                - jpeg
                                                - png
                                                - webp
                                  required:
                                    - url
                              cover:
                                description: >-
                                  Cover coverage, passing null means clearing
                                  the cover
                                type: object
                                properties:
                                  url:
                                    type: string
                                    format: uri
                                    description: Cover URL
                                  options:
                                    description: Media handling options
                                    type: object
                                    properties:
                                      adaptation:
                                        description: Media format conversion options
                                        type: object
                                        properties:
                                          imageFormat:
                                            description: >-
                                              Image and cover format conversion
                                              targets
                                            type: string
                                            enum:
                                              - 'off'
                                              - auto
                                              - jpeg
                                              - png
                                              - webp
                                required:
                                  - url
                                nullable: true
                        required:
                          - platform
                          - accountId
                  description: Platform release items
              required:
                - content
                - publishAt
                - items
            example:
              content:
                body: test
                media:
                  - url: >-
                      https://assets.aitoearn.cn/69a5882a0ae8abf6b443675f/user/media/202606/WZR5ZtF0t1lIQTx1_wW-_.mp4
                    metadata:
                      type: video
                cover:
                  url: >-
                    https://assets.aitoearn.cn/69a5882a0ae8abf6b443675f/user/media/202606/dS2sNtXUgrLfosukfpXwd.jpg
                  metadata:
                    type: image
                title: test title
              publishAt: '2026-06-29T09:43:42Z'
              context:
                type: video
                videoUrl: >-
                  https://assets.aitoearn.cn/69a5882a0ae8abf6b443675f/user/media/202606/WZR5ZtF0t1lIQTx1_wW-_.mp4
                source: web
              items:
                accountId: KWAI_f1b6d99b9252a17314bf5724e666123f
                platform: KWAI
                overrides:
                  body: test
                  media:
                    - url: >-
                        https://assets.aitoearn.cn/69a5882a0ae8abf6b443675f/user/media/202606/WZR5ZtF0t1lIQTx1_wW-_.mp4
                      metadata:
                        type: video
                  cover:
                    url: >-
                      https://assets.aitoearn.cn/69a5882a0ae8abf6b443675f/user/media/202606/dS2sNtXUgrLfosukfpXwd.jpg
                    metadata:
                      type: image
                  title: test title
        required: true
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelPublishFlowVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      flowId: string
                      tasks:
                        - id: string
                          accountId: string
                          platform: douyin
                          status: -1
                          publishTime: '2026-07-02T12:00:00.000Z'
                          platformWorkId: string
                          workLink: string
                          linkStatus: pending
                          linkError: string
                          linkMeta: {}
                          errorMsg: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                channelAccountNotFound15021:
                  summary: ChannelAccountNotFound (15021)
                  value:
                    code: 15021
                    message: Channel account not found
                    data: {}
                    timestamp: 1772099056662
                channelPublishDuplicateItem15052:
                  summary: ChannelPublishDuplicateItem (15052)
                  value:
                    code: 15052
                    message: >-
                      {{platform}} account {{accountId}} has duplicate
                      publishing items
                    data:
                      accountId: acc_123
                      platform: douyin
                    timestamp: 1772099056662
                channelPublishMixedRelayAndLocalAccounts15087:
                  summary: ChannelPublishMixedRelayAndLocalAccounts (15087)
                  value:
                    code: 15087
                    message: >-
                      Relay accounts and local accounts cannot be mixed in the
                      same publishing process.
                    data: {}
                    timestamp: 1772099056662
                channelPublishPermalinkMissing15093:
                  summary: ChannelPublishPermalinkMissing (15093)
                  value:
                    code: 15093
                    message: Missing link to published work
[...]
